######
# Installer for ANUGA Windows install.
# Put the netCDF4 include files and DLLs into the correct directories.
# Also put the Microsoft DLLs for Visual Studio into the correct directory.
######

!define PRODUCT_NAME "netCDF_binary"
!define PRODUCT_VERSION "4.0"
!define ICON_FILE "anuga.ico"
!define DLL_INSTALL_DIR "$SYSDIR"
!define NETCDF_INSTALL_BIN_DIR "bin"
!define NETCDF_INSTALL_INC_DIR "include"

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "${PRODUCT_NAME}_${PRODUCT_VERSION}.exe"
InstallDir "C:\netcdf4"
Page directory
Page instfiles
Icon ${ICON_FILE}

Section "Install"
   SetOutPath $INSTDIR
   # include files - by hand, don't know how to handle a directory of files
   File include\crc32.h
   File include\deflate.h
   File include\H5AbstractDs.h
   File include\H5ACpkg.h
   File include\H5ACpublic.h
   File include\H5Alltypes.h
   File include\H5api_adpt.h
   File include\H5Apkg.h
   File include\H5Apublic.h
   File include\H5ArrayType.h
   File include\H5AtomType.h
   File include\H5Attribute.h
   File include\H5B2pkg.h
   File include\H5B2public.h
   File include\H5Bpkg.h
   File include\H5Bpublic.h
   File include\H5Classes.h
   File include\H5CommonFG.h
   File include\H5CompType.h
   File include\H5Cpkg.h
   File include\H5Cpp.h
   File include\H5CppDoc.h
   File include\H5Cpublic.h
   File include\H5DataSet.h
   File include\H5DataSpace.h
   File include\H5DataType.h
   File include\H5DcreatProp.h
   File include\H5Dpkg.h
   File include\H5Dpublic.h
   File include\H5DSprivate.h
   File include\H5DSpublic.h
   File include\H5DxferProp.h
   File include\H5Edefin.h
   File include\H5Einit.h
   File include\H5EnumType.h
   File include\H5Epkg.h
   File include\H5Epubgen.h
   File include\H5Epublic.h
   File include\H5Eterm.h
   File include\H5Exception.h
   File include\H5FaccProp.h
   File include\H5FcreatProp.h
   File include\H5FDcore.h
   File include\H5FDdirect.h
   File include\H5FDfamily.h
   File include\H5FDlog.h
   File include\H5FDmpi.h
   File include\H5FDmpio.h
   File include\H5FDmpiposix.h
   File include\H5FDmulti.h
   File include\H5FDpkg.h
   File include\H5FDpublic.h
   File include\H5FDsec2.h
   File include\H5FDstdio.h
   File include\H5FDwindows.h
   File include\H5File.h
   File include\H5FloatType.h
   File include\H5Fpkg.h
   File include\H5Fpublic.h
   File include\H5FSpkg.h
   File include\H5FSpublic.h
   File include\H5Gpkg.h
   File include\H5Gpublic.h
   File include\H5Group.h
   File include\H5HFpkg.h
   File include\H5HFpublic.h
   File include\H5HGpkg.h
   File include\H5HGpublic.h
   File include\H5HLpkg.h
   File include\H5HLprivate2.h
   File include\H5HLpublic.h
   File include\H5IdComponent.h
   File include\H5IMprivate.h
   File include\H5IMpublic.h
   File include\H5Include.h
   File include\H5IntType.h
   File include\H5Ipkg.h
   File include\H5Ipublic.h
   File include\H5Library.h
   File include\H5Lpkg.h
   File include\H5Lpublic.h
   File include\H5LTparse.h
   File include\H5LTprivate.h
   File include\H5LTpublic.h
   File include\H5MMpublic.h
   File include\H5MPpkg.h
   File include\H5Object.h
   File include\H5Opkg.h
   File include\H5Opublic.h
   File include\H5Oshared.h
   File include\H5PacketTable.h
   File include\H5Ppkg.h
   File include\H5Ppublic.h
   File include\H5PredType.h
   File include\H5PropList.h
   File include\H5PTprivate.h
   File include\H5PTpublic.h
   File include\H5pubconf.h
   File include\H5public.h
   File include\H5Rpkg.h
   File include\H5Rpublic.h
   File include\H5SMpkg.h
   File include\H5Spkg.h
   File include\H5Spublic.h
   File include\H5StrType.h
   File include\H5TBprivate.h
   File include\H5TBpublic.h
   File include\H5Tpkg.h
   File include\H5Tpublic.h
   File include\H5VarLenType.h
   File include\H5version.h
   File include\H5Zpkg.h
   File include\H5Zpublic.h
   File include\hdf5.h
   File include\hdf5_hl.h
   File include\inffast.h
   File include\inffixed.h
   File include\inflate.h
   File include\inftrees.h
   File include\netcdf.h
   File include\ricehdf.h
   File include\SZconfig.h
   File include\szip_adpt.h
   File include\szlib.h
   File include\trees.h
   File include\zconf.h
   File include\zconf.in.h
   File include\zlib.h
   File include\zutil.h
   # end of include file
   # bin directory files
   File bin\ncdump.exe
   File bin\ncgen.exe
   # end of bin files
   # dll directory files
   File dlls\hdf5_cppdll.dll
   File dlls\hdf5_f90cstubdll.dll
   File dlls\hdf5_fortrandll.dll
   File dlls\hdf5_hl_cppdll.dll
   File dlls\hdf5_hl_f90cstubdll.dll
   File dlls\hdf5_hl_fortrandll.dll
   File dlls\hdf5_hldll.dll
   File dlls\hdf5dll.dll
   File dlls\netcdf.dll
   File dlls\szlibdll.dll
   File dlls\zlib1.dll
   File dlls\msvcp71.dll
   # end of dll files
   File netCDF4.nsi
   File anuga.ico
   CreateDirectory $INSTDIR\bin
   CreateDirectory $INSTDIR\include
# unzip *.zip into appropriate place
# Handle MSVCP71.DLL
   Rename crc32.h include\crc32.h
   Rename deflate.h include\deflate.h
   Rename H5AbstractDs.h include\H5AbstractDs.h
   Rename H5ACpkg.h include\H5ACpkg.h
   Rename H5ACpublic.h include\H5ACpublic.h
   Rename H5Alltypes.h include\H5Alltypes.h
   Rename H5api_adpt.h include\H5api_adpt.h
   Rename H5Apkg.h include\H5Apkg.h
   Rename H5Apublic.h include\H5Apublic.h
   Rename H5ArrayType.h include\H5ArrayType.h
   Rename H5AtomType.h include\H5AtomType.h
   Rename H5Attribute.h include\H5Attribute.h
   Rename H5B2pkg.h include\H5B2pkg.h
   Rename H5B2public.h include\H5B2public.h
   Rename H5Bpkg.h include\H5Bpkg.h
   Rename H5Bpublic.h include\H5Bpublic.h
   Rename H5Classes.h include\H5Classes.h
   Rename H5CommonFG.h include\H5CommonFG.h
   Rename H5CompType.h include\H5CompType.h
   Rename H5Cpkg.h include\H5Cpkg.h
   Rename H5Cpp.h include\H5Cpp.h
   Rename H5CppDoc.h include\H5CppDoc.h
   Rename H5Cpublic.h include\H5Cpublic.h
   Rename H5DataSet.h include\H5DataSet.h
   Rename H5DataSpace.h include\H5DataSpace.h
   Rename H5DataType.h include\H5DataType.h
   Rename H5DcreatProp.h include\H5DcreatProp.h
   Rename H5Dpkg.h include\H5Dpkg.h
   Rename H5Dpublic.h include\H5Dpublic.h
   Rename H5DSprivate.h include\H5DSprivate.h
   Rename H5DSpublic.h include\H5DSpublic.h
   Rename H5DxferProp.h include\H5DxferProp.h
   Rename H5Edefin.h include\H5Edefin.h
   Rename H5Einit.h include\H5Einit.h
   Rename H5EnumType.h include\H5EnumType.h
   Rename H5Epkg.h include\H5Epkg.h
   Rename H5Epubgen.h include\H5Epubgen.h
   Rename H5Epublic.h include\H5Epublic.h
   Rename H5Eterm.h include\H5Eterm.h
   Rename H5Exception.h include\H5Exception.h
   Rename H5FaccProp.h include\H5FaccProp.h
   Rename H5FcreatProp.h include\H5FcreatProp.h
   Rename H5FDcore.h include\H5FDcore.h
   Rename H5FDdirect.h include\H5FDdirect.h
   Rename H5FDfamily.h include\H5FDfamily.h
   Rename H5FDlog.h include\H5FDlog.h
   Rename H5FDmpi.h include\H5FDmpi.h
   Rename H5FDmpio.h include\H5FDmpio.h
   Rename H5FDmpiposix.h include\H5FDmpiposix.h
   Rename H5FDmulti.h include\H5FDmulti.h
   Rename H5FDpkg.h include\H5FDpkg.h
   Rename H5FDpublic.h include\H5FDpublic.h
   Rename H5FDsec2.h include\H5FDsec2.h
   Rename H5FDstdio.h include\H5FDstdio.h
   Rename H5FDwindows.h include\H5FDwindows.h
   Rename H5File.h include\H5File.h
   Rename H5FloatType.h include\H5FloatType.h
   Rename H5Fpkg.h include\H5Fpkg.h
   Rename H5Fpublic.h include\H5Fpublic.h
   Rename H5FSpkg.h include\H5FSpkg.h
   Rename H5FSpublic.h include\H5FSpublic.h
   Rename H5Gpkg.h include\H5Gpkg.h
   Rename H5Gpublic.h include\H5Gpublic.h
   Rename H5Group.h include\H5Group.h
   Rename H5HFpkg.h include\H5HFpkg.h
   Rename H5HFpublic.h include\H5HFpublic.h
   Rename H5HGpkg.h include\H5HGpkg.h
   Rename H5HGpublic.h include\H5HGpublic.h
   Rename H5HLpkg.h include\H5HLpkg.h
   Rename H5HLprivate2.h include\H5HLprivate2.h
   Rename H5HLpublic.h include\H5HLpublic.h
   Rename H5IdComponent.h include\H5IdComponent.h
   Rename H5IMprivate.h include\H5IMprivate.h
   Rename H5IMpublic.h include\H5IMpublic.h
   Rename H5Include.h include\H5Include.h
   Rename H5IntType.h include\H5IntType.h
   Rename H5Ipkg.h include\H5Ipkg.h
   Rename H5Ipublic.h include\H5Ipublic.h
   Rename H5Library.h include\H5Library.h
   Rename H5Lpkg.h include\H5Lpkg.h
   Rename H5Lpublic.h include\H5Lpublic.h
   Rename H5LTparse.h include\H5LTparse.h
   Rename H5LTprivate.h include\H5LTprivate.h
   Rename H5LTpublic.h include\H5LTpublic.h
   Rename H5MMpublic.h include\H5MMpublic.h
   Rename H5MPpkg.h include\H5MPpkg.h
   Rename H5Object.h include\H5Object.h
   Rename H5Opkg.h include\H5Opkg.h
   Rename H5Opublic.h include\H5Opublic.h
   Rename H5Oshared.h include\H5Oshared.h
   Rename H5PacketTable.h include\H5PacketTable.h
   Rename H5Ppkg.h include\H5Ppkg.h
   Rename H5Ppublic.h include\H5Ppublic.h
   Rename H5PredType.h include\H5PredType.h
   Rename H5PropList.h include\H5PropList.h
   Rename H5PTprivate.h include\H5PTprivate.h
   Rename H5PTpublic.h include\H5PTpublic.h
   Rename H5pubconf.h include\H5pubconf.h
   Rename H5public.h include\H5public.h
   Rename H5Rpkg.h include\H5Rpkg.h
   Rename H5Rpublic.h include\H5Rpublic.h
   Rename H5SMpkg.h include\H5SMpkg.h
   Rename H5Spkg.h include\H5Spkg.h
   Rename H5Spublic.h include\H5Spublic.h
   Rename H5StrType.h include\H5StrType.h
   Rename H5TBprivate.h include\H5TBprivate.h
   Rename H5TBpublic.h include\H5TBpublic.h
   Rename H5Tpkg.h include\H5Tpkg.h
   Rename H5Tpublic.h include\H5Tpublic.h
   Rename H5VarLenType.h include\H5VarLenType.h
   Rename H5version.h include\H5version.h
   Rename H5Zpkg.h include\H5Zpkg.h
   Rename H5Zpublic.h include\H5Zpublic.h
   Rename hdf5.h include\hdf5.h
   Rename hdf5_hl.h include\hdf5_hl
   Rename inffast.h include\inffast.h
   Rename inffixed.h include\inffixed.h
   Rename inflate.h include\inflate.h
   Rename inftrees.h include\inftrees.h
   Rename netcdf.h include\netcdf.h
   Rename ricehdf.h include\ricehdf.h
   Rename SZconfig.h include\SZconfig.h
   Rename szip_adpt.h include\szip_adpt.h
   Rename szlib.h include\szlib.h
   Rename trees.h include\trees.h
   Rename zconf.h include\zconf.h
   Rename zconf.in.h include\zconf.in.h
   Rename zlib.h include\zlib.h
   Rename zutil.h include\zutil.h
   Rename ncdump.exe bin\ncdump.exe
   Rename ncgen.exe bin\ncgen.exe
   Rename hdf5_cppdll.dll $SYSDIR\hdf5_cppdll.dll
   Rename hdf5_f90cstubdll.dll $SYSDIR\hdf5_f90cstubdll.dll
   Rename hdf5_fortrandll.dll $SYSDIR\hdf5_fortrandll.dll
   Rename hdf5_hl_cppdll.dll $SYSDIR\hdf5_hl_cppdll.dll
   Rename hdf5_hl_f90cstubdll.dll $SYSDIR\hdf5_hl_f90cstubdll.dll
   Rename hdf5_hl_fortrandll.dll $SYSDIR\hdf5_hl_fortrandll.dll
   Rename hdf5_hldll.dll $SYSDIR\hdf5_hldll.dll
   Rename hdf5dll.dll $SYSDIR\hdf5dll.dll
   Rename netcdf.dll $SYSDIR\netcdf.dll
   Rename szlibdll.dll $SYSDIR\szlibdll.dll
   Rename zlib1.dll $SYSDIR\zlib1.dll
   Rename msvcp71.dll $SYSDIR\msvcp71.dll
   Delete anuga.ico
   Delete netCDF4.nsi
SectionEnd

Function .onInstSuccess
   MessageBox MB_OK "NetCDF4 support files have been installed."
FunctionEnd